PR_SET_THP_DISABLE(2const)

NAME
PR_SET_THP_DISABLE - set the state of the "THP disable" flag for the calling thread

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_SET_THP_DISABLE, long flag, 0L, 0L, 0L);

DESCRIPTION
Set the state of the "THP disable" flag for the calling thread. If flag has a nonzero value, the flag is set, otherwise it is cleared.

Setting this flag provides a method for disabling transparent huge pages for jobs where the code cannot be modified, and using a malloc hook with madvise(2) is not an option (i.e., statically allocated data). The setting of the "THP disable" flag is inherited by a child created via fork(2) and is preserved across execve(2).

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

STANDARDS
Linux.

HISTORY
Linux 3.15.

SEE ALSO
prctl(2), PR_GET_THP_DISABLE(2const)